%{?perl_default_filter}

Name:           perl-MongoDB
Version:        0.45
Release:        2%{?dist}
Summary:        Database driver
License:        ASL 2.0 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MongoDB/
Source0:        http://www.cpan.org/authors/id/K/KR/KRISTINA/MongoDB-%{version}.tar.gz
BuildRequires:  perl >= 1:5.8.4
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(Class::Method::Modifiers)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Tie::IxHash)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(boolean)
#  test requires
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Data::Types)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(JSON)
BuildRequires:  perl(File::Temp) >= 0.17
BuildRequires:  perl(Try::Tiny)
BuildRequires:  mongodb-server
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The perl database access module for MongoDB.

%prep
%setup -q -n MongoDB-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
mkdir test_db
mongod --fork --logpath $PWD/mongod.log --pidfilepath $PWD/mongod.pid --dbpath $PWD/test_db/
make test
kill `cat mongod.pid`

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/MongoDB*
%{_mandir}/man3/*

%changelog
* Wed Jan 11 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.45-2
- BR revised
- Prepare a MongoDB server to run the test suite
- Other minor cleanup

* Tue Sep 20 2011 Michal Ingeli <mi@v3.sk> 0.45-1
- Upstream upgrade 0.45
- removed ccflags patch, fixed in upstream

* Fri Aug 08 2011 Michal Ingeli <mi@v3.sk> 0.44-1
- Version update to 0.44
- Removing ccflags from Makefile.PL that breaks i686 build

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.41-5
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.41-4
- Perl mass rebuild

* Sat Jan 22 2011 Michal Ingeli <mi@v3.sk> 0.41-3
- Conditionalize perl_default_filter
- Added Try::Tiny, required for test phase

* Sat Jan 22 2011 Michal Ingeli <mi@v3.sk> 0.41-2
- Removed redundant requires

* Wed Jan 19 2011 Michal Ingeli <mi@v3.sk> 0.41-1
- Provides filtering
- Fixed license
- Specfile autogenerated by cpanspec 1.78.
